* Encoding: UTF-8.
* This syntax produces output required for Figure: Infant feeding patterns by age, [Country], [Year].
cd "C:\Users\ibjelic\Desktop\SL\Syntax Files".
* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file = 'ch.sav'.

weight by chweight.

select if (UF17 = 1 and cage < 6).

compute solidSemiSoft = any(1, BD8A, BD8B, BD8C, BD8D, BD8E, BD8F, BD8G, BD8H, BD8I, BD8J, BD8K, BD8L, BD8M, BD8N, BD8X).
variable labels solidSemiSoft "Receiving any solid, semi-solid or soft foods".

compute bf = 0.
if (BD3=1 & not any(1, BD7A, BD7B, BD7C, BD7D, BD7E, BD7X) & not solidSemiSoft) bf = 1.
if (BD3 = 1 & BD7A = 1 & not any(1, BD7B, BD7C, BD7D, BD7E, BD7X) & not solidSemiSoft)  bf = 2.
if (BD3=1 & any(1, BD7B, BD7C, BD7X) & not any(1, BD7D, BD7E) & not solidSemiSoft) bf = 3.
if (BD3=1 & any(1, BD7D, BD7E) & not solidSemiSoft) bf = 4.
if (BD3 = 1 & solidSemiSoft) bf = 5.
if (BD2 <> 1 or BD3 <> 1) bf = 6.

variable labels bf "Infant feeding pattern".
value labels bf 
  6 "No breastmilk [4]"
  5 "Breastmilk and complementary foods [3]"
  4 "Breastmilk and other milk / formula [2]"
  3 "Breastmilk and non-milk liquids [1]"
  2 "Breastmilk and plain water"
  1 "Breastmilk only".

compute cage2 = trunc(cage/2).
variable labels cage2 "Age".
value labels cage2 
  0 "0-1"
  1 "2-3"
  2 "4-5"
 .

compute total = 1.
value labels total 1 "Number of children".

compute tot2 = 100.
variable labels tot2 "Total".
value labels tot2 100 "".

* For labels in French uncomment commands below.

* variable labels bf "Type d'alimentation".
* value labels bf 
  6 "Non allaits"
  5 "Allaits au sein et aliments complmentaires"
  4 "Allaitement maternel et autre lait / prparation pour nourrissons"
  3 "Allaitement maternel et liquides non lacts"
  2 "Allaitement maternel et eau simple uniquement "
  1 "Allaitement maternel exclusif".
* value labels total 1 "Nombre d'enfants".

* For labels in Spanish uncomment commands below.

* variable labels bf "Tipo de alimentacin".
* value labels bf 
  6 "No recibe leche materna [4]"
  5 "Leche materna y alimentos complementarios [3]"
  4 "Leche materna y otros tipos de leche/frmula [2]"
  3 "Leche materna y lquidos no lcteos [1]"
  2 "Leche materna y agua simple"
  1 "Solo leche materna".
* value labels total 1 "Nombre d'enfants".
						
* ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables = total display = none
  /table cage2 [c] by 
                 bf[c][rowpct.validn,'',f5.1] + tot2[s][mean,'',f5.1] + total[c][count,'',f5.0] 
  /slabels position = column visable = no
  /categories var = all empty = exclude missing = exclude
  /titles title=
	  "Table NU.A1. Infant feeding patterns by age" 
	  "Percent distribution of children age 0-5 months by feeding pattern, " + surveyname.

* ctables command in French.
* ctables
  /vlabels variables = total display = none
  /table cage2 [c] by 
                bf[c][rowpct.validn,'',f5.1] + tot2[s][mean,'',f5.1] + total[c][count,'',f5.0] 
  /slabels position = column visable = no
  /categories var = all empty = exclude missing = exclude
  /titles title=
  	"Tableau NU.A1. Types d'alimentation infantile par ge" 
	  "Rpartition en pourcentage des enfants gs de 0-5 mois selon le type d'alimentation, " + surveyname.

* ctables command in Spanish.
*ctables
  /vlabels variables = total display = none
  /table cage2 [c] by 
                 bf[c][rowpct.validn,'',f5.1] + tot2[s][mean,'',f5.1] + total[c][count,'',f5.0] 
  /slabels position = column visable = no
  /categories var = all empty = exclude missing = exclude
  /titles title=
	  "Tabla NU.A1. Patrones de alimentacin infantil por edad" 
	  "Distribucin porcentual de nios de 0 a 5 meses por patrn de alimentacin, " + surveyname.


new file.
